<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="GENERATOR" content="Mozilla/4.79 [en] (Windows NT 5.0; U) [Netscape]">
<meta name="KeyWords" content="Java, audio, input, output, JavaSonics, recording, plugin, API">
<meta name="Description" content="Java API for audio I/O.">
<title>Sequencing Recordings with ListenUp and JavaScript</title>

<!-- You can remove all these calls to PHP and replace them with your own header, footer and navigation code. -->
<?php virtual("/style.html"); ?>

<script src="listenup_tools.js">
</script>
<style type="text/css">
<!--
.style1 {font-size: large}
-->
</style>
</head>
<body>
<?php virtual("/header1.html"); ?>
ListenUp <a href="../qa/">QA</a> Suite
<?php
	virtual("/header2.html");
?>
<h3>JavaScript Controlled Sequence of Recordings</h3>
<p>This demonstrates how to control the ListenUp Applet using JavaScript. The user is asked to record a series of phrases. All of the controls have been removed from the Applet and replaced with &quot;record&quot; and &quot;upload&quot; buttons in HTML. This demo could be used as a model for language testing or production audio recording. An archive of this demo with source code can <a href="../demo_sequence.zip">downloaded from here</a>.</p>
<div id="phrasebox">
<h3>Please wait for Applet to Initialize</h3>
<p>____________________phrase__________________________</p>
</div>

<p>
  <applet
    CODE="com.softsynth.javasonics.recplay.RecorderUploadApplet"
    CODEBASE="../../listenup/codebase"
    ARCHIVE="JavaSonicsListenUp.jar"
    NAME="ListenUpRecorder"
    mayscript="mayscript"
    WIDTH="350" HEIGHT="100">
    
    <param name="frameRate" value="22050.0">
    
    <!-- Set to a low value so we can test what happens when we run out of time. -->
    <param name="maxRecordTime" value="10.0">
    <!-- Change colors. -->
    <param name="background" value="F0F0C0">
    <param name="foreground" value="102080">
    
    <!--Turn off various GUI elements. -->
    <param name="showVUMeter" value="no">
    <param name="showTimeText" value="no">
    <!--Turn off status message and Send buttom -->
    <param name="showUploader" value="no">
    <param name="showTransport" value="no">
    <param name="showRecordingAlert" value="no">
    
    <!-- Call this script when the Applet is ready to run. -->
    <param name="readyScript" value="LUPJS_AppletReady();">
    <param name="uploadURL" value="stub_success.txt">
    
    <!-- Request messages from ListenUp. -->
    <param name="requestStateChanges" value="yes">
    <param name="requestTimeChanges" value="yes">
    <param name="timeChangeInterval" value="200">
    
  </applet>
<div id="timebox">
  <p class="style1">___________time____________</p>
</div>

<form NAME="recordingControlForm">
  <table cellspacing="0" cellpadding="3" bgcolor="#E6E3D0">
    <tr>
      <td>
          <input TYPE="BUTTON" NAME="recordStopButton"   VALUE="Wait" onClick="if(!this.disabled) LUPJS_RecordOrStop();">
       </td>
      <td>
          <input TYPE="BUTTON" NAME="uploadButton"   VALUE="Upload" onClick="if(!this.disabled) LUPJS_UploadMessage();">
       </td>
    </tr>
  </table>
</form>
<p>Development of this example was sponsored by <a href="http://www.voiceforge.com/" target="_blank">Cepstral</a>. Thank you!</p>
<hr/>
<p>Debug Information for Developers</p>
<div id="js_statebox">
  <p>___________state___________</p>
</div>
<div id="statebox">
  <p>___________state___________</p>
</div>

<?php virtual("/footer.html"); ?>
</body>
</html>
